import { ExistInPacsDTO } from "@@/infra/api";
import { DicomRepository } from "./DicomRepository";

export class DicomService {
  constructor(private dicomRepository: DicomRepository) {}

  async upload2Pacs(dcmFile: File) {
    return await this.dicomRepository.upload2Pacs(dcmFile);
  }

  async existInPacs(p: ExistInPacsDTO) {
    return await this.dicomRepository.existInPacs(p);
  }
}
